package dev.adriankuta.flights.domain.types

sealed interface Airport {
    val code: String
    val name: String
    val macCity: MacCity?

    data class Departure(
        override val code: String,
        override val name: String,
        override val macCity: MacCity?,
    ) : Airport

    data class Arrival(
        override val code: String,
        override val name: String,
        override val macCity: MacCity?,
    ) : Airport

    data class Connecting(
        override val code: String,
        override val name: String,
        override val macCity: MacCity?,
    ) : Airport
}
